# Draw
TKTopTest
TestTopOpeDraw

# TestTopOpeDraw_SurfaceDisplayer Class Reference

`#include <TestTopOpeDraw_Displayer.hxx>`

Inheritance diagram for TestTopOpeDraw_SurfaceDisplayer:

[legend]

## Public Member Functions

| TestTopOpeDraw_SurfaceDisplayer ()
| TestTopOpeDraw_SurfaceDisplayer (const Handle(Geom_Surface)&S)
void | InitSurfaceDisplayer ()
void | DisplaySurface (const Handle(Geom_Surface)&S)

## Private Attributes

Draw_Color | mySDBoundColor
Draw_Color | mySDIsoColor
Draw_Color | mySDNormalColor
Standard_Integer | mySDnu
Standard_Integer | mySDnv
Standard_Integer | mySDdiscret
Standard_Real | mySDdeflect
Standard_Integer | mySDdrawmod
Standard_Boolean | mySDdisplayorigin

## Constructor & Destructor Documentation

TestTopOpeDraw_SurfaceDisplayer::TestTopOpeDraw_SurfaceDisplayer | ( |  | ) |

TestTopOpeDraw_SurfaceDisplayer::TestTopOpeDraw_SurfaceDisplayer | ( | const Handle(Geom_Surface)& | S | ) |

## Member Function Documentation

void TestTopOpeDraw_SurfaceDisplayer::DisplaySurface | ( | const Handle(Geom_Surface)& | S | ) |

void TestTopOpeDraw_SurfaceDisplayer::InitSurfaceDisplayer | ( |  | ) |

## Field Documentation

Draw_Color TestTopOpeDraw_SurfaceDisplayer::mySDBoundColor `[private]`

Standard_Real TestTopOpeDraw_SurfaceDisplayer::mySDdeflect `[private]`

Standard_Integer TestTopOpeDraw_SurfaceDisplayer::mySDdiscret `[private]`

Standard_Boolean TestTopOpeDraw_SurfaceDisplayer::mySDdisplayorigin `[private]`

Standard_Integer TestTopOpeDraw_SurfaceDisplayer::mySDdrawmod `[private]`

Draw_Color TestTopOpeDraw_SurfaceDisplayer::mySDIsoColor `[private]`

Draw_Color TestTopOpeDraw_SurfaceDisplayer::mySDNormalColor `[private]`

Standard_Integer TestTopOpeDraw_SurfaceDisplayer::mySDnu `[private]`

Standard_Integer TestTopOpeDraw_SurfaceDisplayer::mySDnv `[private]`

The documentation for this class was generated from the following file:

- TestTopOpeDraw_Displayer.hxx